/***************************************************************************
                          main.c  -  description
                             -------------------
    begin                : Tue Jul 4 2000
    copyright            : (C) 2000 by Simon E. Reichelt
    email                : s.reichelt@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/*
 * Initial main.c file generated by Glade. Edit as required.
 * Glade will not overwrite this file.
 */


#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <stdio.h>

#include "interface.h"
#include "support.h"
#include "wadview.h"


gboolean do_log = FALSE;


int
main (int argc, char *argv[])
{
  GtkWidget *window1;
  GtkWidget *v_port1;
  int i, u_cnt = 0;
  char f_name[2048];
  gboolean load_file = FALSE;

  gtk_set_locale ();
  gtk_init (&argc, &argv);

  gdk_rgb_init();

  for (i = 1; i < argc; i++)
  {
  	if (!strcmp(argv[i], "-log"))
  		do_log = TRUE;
  	else
  	{
  		strcpy(f_name, argv[i]);
  		load_file = TRUE;
  		u_cnt++;
  	}
  	
  	if (u_cnt > 1)
  	{
  		fprintf(stderr, "ERROR: Unknown option \"%s\".\n", argv[i]);
  		return -1;
  	}
  }

  window1 = create_window1 ();
  gtk_widget_show (window1);

  v_port1 = lookup_widget(window1, "viewport1");
  SetGreyColor(v_port1);

  con_text = lookup_widget(window1, "text1");
  gtk_text_freeze(GTK_TEXT(con_text)); //freeze console to prevent
                                       //miss-timed widget updating

  ConPrint("Welcome to WadVision v2.0\n"
           "-----------------------------\n");
  if (do_log)
  	ConPrint("main(): Logging is enabled.\n");

  if (load_file)
	LoadWadFile(window1, f_name);
	
  gtk_text_thaw(GTK_TEXT(con_text));

  gtk_main ();
  return 0;
}

